---
- name: Converge
  hosts: all
  become: true

  vars:
    auth_settings_manage_list: true
    auth_settings_manage_root: false
    auth_settings_manage_provision: false
    auth_root_password: "$6$diOtb6is$Tk4a7akpwXwF.Mb.MVME4s9ZbQ96aJwMmmuvQpdhCtJG2GI876NxYwUE.eJfgCjPzyhOdfdD1o77HJPH..9cn1"

    auth_user_list_main:
      - name: user_with_all
        state: present
        expires: "2030-01-20"
        id: 2001
        comment: 'user_with_all_gecos'
        shell: zsh
        home: /user_with_all_home
        groups: ['group1','group2']
        sudo: ['ALL=(ALL:ALL) NOPASSWD:/bin/true']
        password: '$6$Gz157n8dx0b30zOY$HefabKqcFg4c1oZzSyhGKiJSLCQSEUs9htRfLZ2Qp/Hbr7BsxWDr6pUF7eay6N.mporsOmeqXgy6wAN/96wrU1'
        pubkeys:
          - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIE/nFroZZSOx3R06brC3aEP7LHhgVVQt7SQ05Z3l9/sJ user_with_all_key1@host'
          - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK2kQMRaz5Jk6v7oGB/vvWQ6E8YGVVALhAXyySx7+uhV user_with_all_key2@host'

    auth_user_list_tests:
      - name: user_with_key_changes
        pubkeys:
          - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK5jaIXN7Pqopu/OJyn/KfX8u1Lp48sOBnO4J0t9HT1J converge_key'
      - name: user_with_sudo_changes
        sudo:
          - 'ALL=(ALL:ALL) NOPASSWD:/bin/true'
      - name: user_to_be_disabled
        state: disabled
      - name: user_with_no_sudo

    auth_user_list_remove:
      - name: user_to_be_removed
        state: absent

    auth_user_list_provision:
      - name: svc_provision
        comment: 'provision_converge0_comment'

    auth_group_list_main:
      - name: group1
      - name: group2

    auth_group_list_tests:
      - name: group_with_sudo
        state: present
        sudo: ['ALL=(ALL:ALL) ALL','ALL=(ALL:ALL) NOPASSWD:/bin/true']

  roles:
    - gxmmx.linux.auth
